# IRdNtClientStatus Interface Reference

Inherits IDispatch.

List of all members.

## Public Member Functions
HRESULT | Clear (void)
HRESULT | GetAsText ([out, retval] BSTR *pVal)
## Properties
ReNtClientStatus * | Status`[get]`
ReNtClientStatus | Status`[set]`
RtDWORD * | SendQueueBytes`[get]`
RtDWORD | SendQueueBytes`[set]`
RtDWORD * | Progress`[get]`
RtDWORD | Progress`[set]`
RtDWORD * | ProgressMaxVal`[get]`
RtDWORD | ProgressMaxVal`[set]`
RtDWORD * | SplitMsgProgressLo`[get]`
RtDWORD | SplitMsgProgressLo`[set]`
RtDWORD * | SplitMsgProgressNr`[get]`
RtDWORD | SplitMsgProgressNr`[set]`
RtDWORD * | SplitMsgProgressHi`[get]`
RtDWORD | SplitMsgProgressHi`[set]`
RtQWORD | BehindTime`[set]`
RtQWORD * | BehindTime`[get]`

## Detailed Description

Client status data object: provides detailed information about current client's status.
This object compliments IRdNtClientInfo. It is stored in a separate connector
Status (CON_NETWORK_NTCLIENT_STATUS)of the network client object and
is placed in /Network space after you login to Shared Space.

## Member Function Documentation

HRESULT IRdNtClientStatus::Clear | ( | void |  | ) |

Clears this data object.

        var cStatus = System.CreateDO('Network Package/Net Client Status Data');
        cStatus.Clear();

HRESULT IRdNtClientStatus::GetAsText | ( | [out, retval] BSTR * | pVal | ) |

Call this method to interpret IRdNtClientStatus data as a simple string value.
It is used for example by Network View to display your current status.

Returns:
  pVal [out, retval] Returns simple string that represents client's status.

     var statusAsText = cStatus.GetAsText;

## Property Documentation

ReNtClientStatus * IRdNtClientStatus::Status`[get]`

Read client's status.

Returns:
  peStatus [out, retval] Returns client's status.
  See RnNtClient::ReNtClientStatus for possible values.

        var cStat = cStatus.Status;

ReNtClientStatus IRdNtClientStatus::Status`[set]`

Set client's status.

Parameters:

  | eStatus | [in] Client's status.

See also:
  RnNtClient::ReNtClientStatus for possible values.

     cStatus.Status = cStat;

RtDWORD * IRdNtClientStatus::SendQueueBytes`[get]`

Read how many bytes are still in send queue.

Returns:
  pdwVal [out, retval] Returns number of bytes that are waiting in send-queue to be sent.

     var cQbytes = cStatus.SendQueueBytes;

RtDWORD IRdNtClientStatus::SendQueueBytes`[set]`

Write number of bytes that are in send-queue.

Parameters:

  | dwVal | [in] Number of bytes that are waiting in send-queue to be sent.

     cStatus.SendQueueBytes = cQbytes;

RtDWORD * IRdNtClientStatus::Progress`[get]`

Read transfer progress number. Use ProgressMaxVal to get the maximum progress value.

Returns:
  pdwVal [out, retval] Returns progress number.

        var cQProgress = cStatus.Progress;

RtDWORD IRdNtClientStatus::Progress`[set]`

Write transfer progress number.
Use ProgressMaxVal to set the maximum progress value.

Parameters:

  | dwVal | [in] Progress number.

        cStatus.Progress = cQProgress;

RtDWORD * IRdNtClientStatus::ProgressMaxVal`[get]`

Read the maximum transfer progress number.

Returns:
  pdwMaxVal [out, retval] Returns the maximum progress number.

        var cQMax = cStatus.ProgressMaxVal;

RtDWORD IRdNtClientStatus::ProgressMaxVal`[set]`

Write the maximum transfer progress number.

Parameters:

  | dwMaxVal | [in] The maximum progress number.

        cStatus.ProgressMaxVal = 200;

RtDWORD * IRdNtClientStatus::SplitMsgProgressLo`[get]`

Read transfer progress number for low-priority send-queue.

Returns:
  pdwVal [out, retval] Returns number of bytes that are waiting in low-priority send-queue.

        var msgProgLo = cStatus.SplitMsgProgressLo;

RtDWORD IRdNtClientStatus::SplitMsgProgressLo`[set]`

Write transfer progress number for low-priority send-queue.

Parameters:

  | dwVal | [in] Number of bytes that are waiting in low-priority send-queue.

        cStatus.SplitMsgProgressLo = msgProgLo;

RtDWORD * IRdNtClientStatus::SplitMsgProgressNr`[get]`

Read transfer progress number for normal-priority send-queue.

Returns:
  pdwVal [out, retval] Returns number of bytes that are waiting in normal-priority send-queue.

     msgProgNr = cStatus.SplitMsgProgressNr;

RtDWORD IRdNtClientStatus::SplitMsgProgressNr`[set]`

Write transfer progress number for normal-priority send-queue.

Parameters:

  | dwVal | [in] Number of bytes that are waiting in normal-priority send-queue.

     cStatus.SplitMsgProgressNr = msgProgNr;

RtDWORD * IRdNtClientStatus::SplitMsgProgressHi`[get]`

Read transfer progress number for high-priority send-queue.

Returns:
  pdwVal [out, retval] Returns number of bytes that are waiting in high-priority send-queue.

     var msgProgHi = cStatus.SplitMsgProgressHi;

RtDWORD IRdNtClientStatus::SplitMsgProgressHi`[set]`

Write transfer progress number for high-priority send-queue.

Parameters:

  | dwVal | [in] Number of bytes that are waiting in high-priority send-queue.

     cStatus.SplitMsgProgressHi = msgProgHi;

RtQWORD IRdNtClientStatus::BehindTime`[set]`

Set behind time compared to Server.

Parameters:

  | time | [in] The behind-time.

     cStatus.BehindTime = bTime;

RtQWORD * IRdNtClientStatus::BehindTime`[get]`

Get behind-time compared to Server.

Returns:
  pTime [out, retval] Returns the behind-time.

     var bTime = cStatus.BehindTime;